http://apigateway.{region}.amazonaws.com/v2/apis/{apiId}/stages/{stageName}Updates a Stage.
The API identifier.
The stage name. Stage names can contain only alphanumeric characters, hyphens, and underscores, or be $default. Maximum length is 128 characters.
Specifies whether updates to an API automatically trigger a new deployment. The default value is false.
A string with a length between [0-1024].
The identifier.
The route settings map.
The stage variable map.
Settings for logging access in a stage.
The identifier.
Represents a collection of route settings.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://apigateway.{region}.amazonaws.com/v2/apis/{apiId}/stages/{stageName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigateway.{region}.amazonaws.com/v2/apis/{apiId}/stages/{stageName}Updates a Stage.
The API identifier.
The stage name. Stage names can contain only alphanumeric characters, hyphens, and underscores, or be $default. Maximum length is 128 characters.
Specifies whether updates to an API automatically trigger a new deployment. The default value is false.
A string with a length between [0-1024].
The identifier.
The route settings map.
The stage variable map.
Settings for logging access in a stage.
The identifier.
Represents a collection of route settings.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://apigateway.{region}.amazonaws.com/v2/apis/{apiId}/stages/{stageName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}